<?

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);
$ank = get_user($ank['id']);

if(!$ank){
header("Location: /index.php?".SID);
exit;
}

//Системный робот
if ($ank['id']==0){
$ank = get_user($ank['id']);
$set['title'] = ''.$ank[ank_name].' '.$ank[ank_fam].'';
include_once '../sys/inc/thead.php';
title();
aut();

include_once H."user/profil/profil_system.php";

include_once '../sys/inc/tfoot.php';
exit;
}

//Бан пользователя
if ((!isset($user) || $user['group_access'] == 0) && mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `razdel` = 'all' AND `id_user` = '$ank[id]' AND (`time` > '$time' OR `navsegda` = '1')"), 0)!=0){

$set['title'] = user::nick($ank['id'],0).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
	
echo '<div class="mess">';
echo '<b><font color=red>Этот пользователь заблокирован!</font></b><br /> ';
echo '</div>';
	
include_once '../sys/inc/tfoot.php';
exit;

}	


//Удаление комментариев
if (isset($_GET['delete_post']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id` = '".intval($_GET['delete_post'])."'"),0)==1){	
$post = mysql_fetch_assoc(mysql_query("SELECT * FROM `stena` WHERE `id` = '".intval($_GET['delete_post'])."' LIMIT 1"));
if (user_access('guest_delete') || $ank['id'] == $user['id']){
mysql_query("DELETE FROM `stena` WHERE `id` = '$post[id]'");
mysql_query("DELETE FROM `stena_like` WHERE `id_stena` = '$post[id]'");
$_SESSION['message'] = 'Комментарий удален';
}
}


/*------------------------стена-----------------------*/
if (isset($user) && isset($_GET['wall']) && $_GET['wall']==1){
mysql_query("UPDATE `user` SET `wall` = '1' WHERE `id` = '$user[id]'");
header("Location: /user/profil.php?id=$ank[id]");
}
elseif (isset($user) && isset($_GET['wall']) && $_GET['wall']==0){
mysql_query("UPDATE `user` SET `wall` = '0' WHERE `id` = '$user[id]'");
header("Location: /user/profil.php?id=$ank[id]");
}if (isset($user))
mysql_query("UPDATE `notification` SET `read` = '1' WHERE `type` = 'stena_komm' AND `id_user` = '$user[id]' AND `id_object` = '$ank[id]'");if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;
if (strlen2($msg)>1024){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `stena` WHERE `id_user` = '$user[id]' AND  `id_stena` = '$ank[id]' AND `msg` = '".my_esc($msg)."' LIMIT 1"),0)!=0)
{$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){

/*
		==========================
		Уведомления об ответах
		==========================
		*/
		if (isset($user) && $respons==TRUE){
		$notifiacation=mysql_fetch_assoc(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$ank_otv['id']."' LIMIT 1"));
			
			if ($notifiacation['komm'] == 1 && $ank_otv['id'] != $user['id'])
			mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `id_object`, `type`, `time`) VALUES ('$user[id]', '$ank_otv[id]', '$ank[id]', 'stena_komm', '$time')");
		
		}mysql_query("INSERT INTO `stena` (id_user, time, msg, id_stena) values('$user[id]', '$time', '".my_esc($msg)."', '$ank[id]')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' ,`rating_tmp` = '".($user['rating_tmp']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
$_SESSION['message'] = 'Сообщение успешно добавлено';
if (isset($user)){
		$notifiacation=mysql_fetch_assoc(mysql_query("SELECT * FROM `notification_set` WHERE `id_user` = '".$post['id_user']."' LIMIT 1"));
			
			if ($notifiacation['komm'] == 1 && $user['id_user'] != $ank['id'])
			mysql_query("INSERT INTO `notification` (`avtor`, `id_user`, `type`, `time`) VALUES ('$user[id]', '$ank[id]', 'stena', '$time')");
		
		}
}
}

/*---------------------------------------------------*/


//Приватность станички пользователя
$set['title']=user::nick($ank['id'],0).''; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();

$uSet = mysql_fetch_array(mysql_query("SELECT * FROM `user_set` WHERE `id_user` = '$ank[id]'  LIMIT 1"));
$frend = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE (`user` = '$user[id]' AND `frend` = '$ank[id]') OR (`user` = '$ank[id]' AND `frend` = '$user[id]') LIMIT 1"),0);
$frend_new = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends_new` WHERE (`user` = '$user[id]' AND `to` = '$ank[id]') OR (`user` = '$ank[id]' AND `to` = '$user[id]') LIMIT 1"),0);
if ($ank['id'] != $user['id'] && $user['group_access'] == 0){
if (($uSet['privat_str'] == 2 && $frend != 2) || $uSet['privat_str'] == 0) // Начинаем вывод если стр имеет приват настройки
{
		if ($ank['group_access']>1)echo "<div class='err'>$ank[group_name]</div>\n";
		echo "<div class='nav1'>";
		echo group($ank['id'])." $ank[nick] ";
		echo medal($ank['id'])." ".online($ank['id'])." ";
		echo "</div>";		
		
		echo "<div class='nav2'>";
		echo avatar($ank['id'], true, 128, false);
		echo "<br />";	}
	
	
	if ($uSet['privat_str'] == 2 && $frend != 2) // Если только для друзей
	{
		echo '<div class="mess">';
		echo 'Просматривать страничку пользователя могут только его друзья!';
		echo '</div>';
		
		// В друзья
		if (isset($user))
		{
			echo '<div class="nav1">';
			if ($frend_new == 0 && $frend==0){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?add=".$ank['id']."'>Добавить в друзья</a><br />\n";
			}elseif ($frend_new == 1){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?otm=$ank[id]'>Отклонить заявку</a><br />\n";
			}elseif ($frend == 2){
			echo "<img src='/style/icons/druzya.png' alt='*'/> <a href='/user/frends/create.php?del=$ank[id]'>Удалить из друзей</a><br />\n";
			}
			echo "</div>";
		}
	include_once '../sys/inc/tfoot.php';
	exit;
	}
	
	if ($uSet['privat_str'] == 0) // Если закрыта
	{
		echo '<div class="mess">';
		echo 'Пользователь запретил просматривать его страничку!';
		echo '</div>';
		
	include_once '../sys/inc/tfoot.php';
	exit;
	}}


if ($set['web']==true)
include_once H."user/profil/profil.php";
else
include_once H."user/profil/profil.php";


include_once '../sys/inc/tfoot.php';
?>